## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1

Name:           sigul-pesign-bridge
Version:        0.3.0
Release:        %autorelease
Summary:        Bridge pesign-client requests to a Sigul signing server

SourceLicense:  MIT
# (MIT OR Apache-2.0) AND Unicode-DFS-2016
# Apache-2.0 OR MIT
# Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT
# BSD-2-Clause OR Apache-2.0 OR MIT
# MIT
# MIT OR Apache-2.0
# Unlicense OR MIT
License:        Unicode-DFS-2016 AND (MIT OR Apache-2.0) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (BSD-2-Clause OR Apache-2.0 OR MIT) AND MIT AND (Unlicense OR MIT)
# LICENSE.dependencies contains a full license breakdown

URL:            https://github.com/fedora-infra/siguldry
Source:         %{url}/archive/%{name}-%{version}/%{name}-%{version}.tar.gz

ExclusiveArch:  %{rust_arches}

BuildRequires:  cargo-rpm-macros >= 26
BuildRequires:  systemd-rpm-macros

# Enables signature validation on signed objects
Recommends:     sbsigntools


%post
%systemd_post sigul-pesign-bridge.service

%preun
%systemd_preun sigul-pesign-bridge.service

%postun
%systemd_postun_with_restart sigul-pesign-bridge.service


%global _description %{expand:
Drop-in replacement for pesign's daemon that bridges pesign-client
requests to a Sigul server.}

%description %{_description}

%prep
%autosetup -n siguldry-%{name}-%{version} -p1
cd %{name}
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
cd %{name}
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
cd %{name}
%cargo_install
install -D -p -m 0644 sigul-pesign-bridge.service %{buildroot}%{_unitdir}/sigul-pesign-bridge.service
install -D -p -m 0644 docs/sigul-pesign-bridge.1 %{buildroot}%{_mandir}/man1/sigul-pesign-bridge.1
install -D -p -m 0644 config.toml.example %{buildroot}%{_sysconfdir}/sigul-pesign-bridge/config.toml

%if %{with check}
%check
cd %{name}
# * Integration tests require the network
%cargo_test -- --lib
%cargo_test -- --doc
%cargo_test -- --bins
%endif

%files
%license %{name}/LICENSE
%license %{name}/LICENSE.dependencies
%doc %{name}/CHANGELOG.md
%doc %{name}/README.md
%{_bindir}/sigul-pesign-bridge
%{_unitdir}/sigul-pesign-bridge.service
%config(noreplace) %{_sysconfdir}/%{name}/config.toml
%{_sysconfdir}/%{name}
%{_mandir}/man1/%{name}.1.*

%changelog
## START: Generated by rpmautospec
* Mon Mar 24 2025 John Doe <packager@example.com> - 0.3.0-1
- Uncommitted changes
## END: Generated by rpmautospec
